<!doctype html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

		<title>05 OSI Layer 3</title>

		<link rel="icon" type="image/png" href="images/org_symbol.png" />
		<link rel="stylesheet" href="css/reset.css">
		<link rel="stylesheet" href="css/reveal.css">
		<link rel="stylesheet" href="css/theme/black.css" id="theme">

		<!-- Theme used for syntax highlighting of code -->
		<link rel="stylesheet" href="lib/css/monokai.css">

		<!-- Printing and PDF exports -->
		<script>
			var link = document.createElement( 'link' );
			link.rel = 'stylesheet';
			link.type = 'text/css';
			link.href = window.location.search.match( /print-pdf/gi ) ? 'css/print/pdf.css' : 'css/print/paper.css';
			document.getElementsByTagName( 'head' )[0].appendChild( link );
		</script>
	</head>
	<body>
		<div style="background:green; left:0; right:0; position:absolute; height:30px;">
			<div style="text-align: center;">(U)Unclassified</div>
		</div>

		<div class="reveal">
			<div class="slides">
				<section>
					<section data-background-image="images/org_symbol.png" data-background-size="8%" data-background-position="top 5% left 1%">
						<h1>IP Addresses</h1>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
					<section>
					    <h2>Objectives</h2>
					    <!-- a href="../objectives.html" target="_blank">OSI Layer 3 Objectives</a> -->
					</section>
					<section>
                        <h2>IP addresses on the internet</h2>
						<ul>The IP address space is managed by the Internet Assigned Numbers Authority (IANA)</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
                    </section>
                    

					<section>
							<h2>IP addresses perform two main functions.</h2>
							<ul>
								<li>They uniquely address each device that is connected to a network</li>	
								<li>They help the traffic to be routed between networks</li>
						</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
                    </section>
                    <section>
                        <h2>IP addresses </h2>
                  		
						<h4>
							Dotted decimal notation
						</h4>
						<ul>
							203.0.113.12
						</ul>	
								
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
					<section>
						<h3>IPv4 32bits</h3>
						<p></p>
						<ul>
							<li>Demo Example</li>
						</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
				</section>
				<section>
					<section>
                        <h2>IPv4 Address Classes</h2>
					</section>
					<section>
                        <h2>IPv4 Classes</h2>
                        <ul>
							<li>Class A - first bit is 0 (First octet 1-127)</li>	
							<li>Class B - first TWO bits are 10 (First octet is 128-191)</li>
							<li>Class C - first THREE bits are 110 (First octet is 192-223)</li>
							<li>Class D - first FOUR are 1110 (First octet 224-239) </li>
							<li>Class E - The following IPs 240.0.0.0 to 255.255.255.254.</li>
					</ul>
					<aside class="notes">
						Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
					</aside>
					</section>
					<section>
                        <h2>IPv4 Address Class</h2>
						<img src="../../assets/ip_address_range.png" alt="icmp">
					<aside class="notes">
						Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
					</aside>
					</section>
				</section>
				<section>
					<section>
						<h2>Classless Inter-domain Routing </h2>
						<ul>
							<li>IPv4 method of assigning addresses outside classful addressing</li>
            				<li>Assigned using CIDR notation (ie. /24)</li>
            				<li>CIDR notation depends on how many bits are in the subnet mask </li>

						</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>

					<section>
						<h2>Subnet </h2>
						<img src="../../assets/subnet.png" alt="subnet">
					
					</section>
					<section>
						<h3>IPv4 Address Structure With Subnet Mask</h3>
						<p></p>
						<ul>
							<li>Demo Example</li>
						</ul>
						<aside class="notes">
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
						</aside>
					</section>

					<section>
						<h3>CIDR Notation </h3>
						
						<ul>
							<li>Demo Example</li>
						</ul>
						<aside class="notes">
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
						</aside>
					</section>
					<!-- <section>
						<h3>IPv4 Address Example 1</h3>
						<p></p>
						<ul>
							<li>Demo Example</li>
						</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section> -->
					<section>
						<h3>IPv4 Address Review 1</h3>
						
						<ul>
							<li>Divide 10.25.36.9 into Network ID and Host ID using a subnet mask of 255.0.0.0.</li>
							<li>Divide 150.50.9.6 into Network ID and Host ID using a subnet mask of 255.255.255.0.</li>
							<li>Divide 200.33.66.99 into Network ID and Host ID using a subnet mask of 255.255.255.0.</li>
							
						</ul>
						<aside class="notes">
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
						</aside>
					</section>	
					<!-- <section>
						<h3>IPv4 Address Structure Example 2</h3>
						<p></p>
						<ul>
							<li>Demo Example</li>
						</ul>
						<aside class="notes">
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
						</aside>
					</section> -->
					<section>
						<h3>IPv4 Address Structure Review 2</h3>
						<p></p>
						<ul>
							<li>Divide 10.50.55.6 into Network ID and Host ID using a subnet mask of 255.224.0.0.</li>
							<li>Divide 172.16.201.19 into Network ID and Host ID using a subnet mask of 255.255.240.0</li>
							<li>Divide 192.168.5.100 into Network ID and Host ID using a subnet mask of 255.255.255.248</li>
						</ul>
						<aside class="notes">
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
						</aside>
					</section>
					<!-- <section>
						<h3>CIDR Notation Example 1</h3>
						<p></p>
						<ul>
							<li>Demo Example</li>
						</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section> -->
					<section>
						<h3>CIDR Notation Review 1</h3>
						<p></p>
						<ul>
							<li>Divide 172.16.110.9 /19 into Network ID and Host ID</li>
							<li>Divide 10.5.6.9 /16 into Network ID and Host ID</li>
							<li>Divide 192.168.201.201 /27 into Network ID and Host ID</li>
							<li>Divide 192.168.50.17 /30 into Network ID and Host ID</li>
							
						</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>

					<!-- <section>
						<h3>Converting Subnet Mask to Prefix length Example 1</h3>
						<p></p>
						<ul>
							<li>Demo Example</li>
						</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section> -->
					<section>
						<h3>Converting Subnet Mask to Prefix Length Review 1</h3>
						<p></p>
						<ul>
							<li>What is equivalent to 255.255.0.0</li>
							<li>what is equivalent to 255.255.224.0</li>
							<li>What is equivalent to 255.255.240.0</li>
							<li>What is equivalent to 255.255.128.0</li>
							<li>What is equivalent to 255.255.248.0</li>
							<li>What is equivalent to 255.255.192.0</li>
							<li>What is equivalent to 255.255.252.0</li>
						</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
					<section>
						<h2>IPv6 </h2>
					</section>
					<section>
						<h2>IPv6 addresses</h2>
						<ul>
							<li>128 bits long</li>
							   <li>Written using hexadecimal (base 16)</li>
							<li>Hexadecimal numbers use 4 bits(2^4)</li>
							   <li>IPv6 address consists of 32 hexadecimal numbers</li>
							
						</ul>
						<aside class="notes">
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
						</aside>
					</section>	
					<section>
						<h2>IPv6 addresses</h2>
						<ul>
							<li>Numbers are grouped in 4’s giving 8 groups or blocks.
							<li>Groups are written with a : (colon) as a separator</li>
							<li>2001:0000:3238:DFE1:0063:0000:0000:FEFB</li>
							<li>Because of the length of IPv6 addresses various shortening techniques are employed</li>
							
							
						</ul>
						<aside class="notes">
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
						</aside>
					</section>	
					<section>
						<p><b>Shortening techniques</b></p>
						<p><i>2001:0db8:0000:0000:0000:ff00:0042:8329</i></p>
						<ul>
							<p>Leading 0's in a grouping may be omitted.</p>
							<ul>
								<i>2001:db8:0:0:0:ff00:42:8329</i>
							</ul>
							<p> If more than 16 bits, a single :: can represent the largest contigous block of 0s:</p>
							<ul>
								<i>2001:db8::ff00:42:8329</i>
							</ul>
				
						</ul>
					</section>
					<section>
						<p><b>Shortening techniques (cont.)</b></p>
						<p><i>2001:0db8:0000:0000:0000:ff00:0042:8329</i></p>
						<ul>
							<p>If multiple contiguous blocks of same length, shorten the left most</p>
				
							<ul><i>2001:0:0:AAAA:0:0:B:CC becomes 2001::AAAA:0:0:B:CC</i></ul>
							<p>If the contiguous 0's only encompass a single hextet, do NOT replace it with a ::</p>
							<ul><i>The 2nd hextet in A:0:BBBB:CCC:D0:22:FF:4412 should never be reduced </i></ul>
						</ul>
					</section>
					<section>
                        <h2>IPv6 </h2>
						<img src="../../assets/ipv6.PNG" alt="icmp">
					<aside class="notes">
						Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
					</aside>
					</section>
					
				</section>
				<section>	
					<section>
						<h2>OSI Layer 3 Protocols</h2>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
					<section>
						<h2>MTU</h2>
						
							<ul>
								<li>The Maximum Transmission Unit (MTU)</li>
								<li>The maximum size of a an IP packet that can be transmitted without fragmentation over a medium</li>
								<li> Default MTU on Ethernet is 1500 bytes</li>
							</ul>
						</ul>
						<aside class="notes">
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
						</aside>
					</section>
					<section>
						<h2>ICMP </h2>
						<h4>Internet Control Message Protocol</h4>
						<ul>
							<li>Used for error reporting and testing</li>
							<li>Allows routers and hosts to send error or control messages to other routers and hosts</li>
						</ul>
						<aside class="notes">
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
					
					<section>
						<h2>Ping </h2>
						
						<p>
							Allows a user to test network connectivity between two devices by sending out ICMP Echo Request messages.
							Then measures the amount of time it took to receive an ICMP Echo Reply message back from the destination system.
				
						</p>
					</section>
					<section data-background-image="images/org_symbol.png" data-background-size="8%" data-background-position="top 5% left 1%">
						<h1>ICMP header</h1>
						<p>ICMP Fields</p>
						<ul>
							<li>TYPE (8-bit): identifies the message</li>
							<li>CODE (8-bit): information about the message type </li>
							<li>CHECKSUM (16-bit)</li>

						</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
						</section>
						<section>
							<h2>ICMP Message TYPE</h2>
							
							<ul>
								<li>0: Echo Reply</li>
								<li>3: Destination Unreachable</li>
								<li>8: Echo Request</li>
								<li> etc...</li>
							</ul>
						</ul>
						<aside class="notes">
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
                    </section>
                    <section>
						<h2>ICMP codes </h2>
						
                        <ul>
							<li>Code 0 Destination Network Unreachable</li>
							<li>Code 1 Destination Host Unreachable</li>
							<li>Code 3 Destination Port Unreachable </li>
						</ul>
						<aside class="notes">
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
                    </section>
					<section>
						<h2>ICMP checksum</h2>
						<ul>
							<li>When a data packet is transmitted, the checksum is computed and inserted into the checksum field</li>
							<li>When the packet is received, the checksum is computed and verified against the checksum field.  If the two do not match an error has occurred</li>
						</ul>
						 
						 
					</section>
					<section>
						<h2>ICMP header</h2>
						<img src="../../assets/icmpheader.png" alt="icmp">
						<aside class="notes">
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
						</aside>
					</section>
		
					<section>
						<h2>ARP (Address Resolution Protocol)</h2>
						<ul>

					 <li>Is used to convert the IP address to its corresponding Ethernet (MAC) address(ARP is defined in depth in RFC 826)</li>
						<li>ARP cache: Stores mappings between data link layer addresses and network layer addresses </li>
						
					</ul>
					<aside class="notes">
						Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
					</aside>
					</section>
					<section>
						<h2>ARP explained</h2>
						<img src="../../assets/arpdiscovery.png" alt="ARPdiscovery">
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
					<section>
                        <h2>ARP messages</h2>
						<pre>
							<code data-trim data-noescape>
								 ARP request
								 ARP reply
								 RARP request
								 RARP reply
							</code>
						</pre>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
                    </section>
					<section data-background-image="images/org_symbol.png" data-background-size="8%" data-background-position="top 5% left 1%">
						<h1>ARP</h1>
						<img src="../../assets/arp-6-638.jpg" alt="ARP">


						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
					<section>
						<h3>ARP</h3>
						<img src="../../assets/arp26.png" alt="arp1">
					</section>
					<section>
						<h3>ARP</h3>
						<img src="../../assets/arp1.png" alt="arp1">
					</section>
					<section>
						<h3>ARP</h3>
						<img src="../../assets/arp2.png" alt="arp1">
					</section>
					<section>
						<h3>ARP</h3>
						<img src="../../assets/arp3.png" alt="arp1">
					</section>
					<section>
						<h3>ARP</h3>
						<img src="../../assets/arp4.png" alt="arp1">
					</section>
					<section>
						<h3>ARP</h3>
						<img src="../../assets/arp5.png" alt="arp1">
					</section>
					<section>
						<h3>ARP</h3>
						<img src="../../assets/arp6.png" alt="arp1">
					</section>
					<section>
						<h3>ARP</h3>
						<img src="../../assets/arp7.png" alt="arp1">
					</section>
					<section>
						<h3>ARP</h3>
						<img src="../../assets/arp8.png" alt="arp1">
					</section>
					<section>
						<h3>ARP</h3>
						<img src="../../assets/arp9.png" alt="arp1">
					</section>
					<section>
						<h3>ARP</h3>
						<img src="../../assets/arp10.png" alt="arp1">
					</section>
					<section>
						<h3>ARP</h3>
						<img src="../../assets/arp11.png" alt="arp1">
					</section>
					<section>
						<h3>ARP</h3>
						<img src="../../assets/arp12.png" alt="arp1">
					</section>
					<section>
						<h3>ARP</h3>
						<img src="../../assets/arp13.png" alt="arp1">
					</section>
					<section>
						<h3>ARP</h3>
						<img src="../../assets/arp14.png" alt="arp1">
					</section>
					<section>
						<h3>ARP</h3>
						<img src="../../assets/arp15.png" alt="arp1">
					</section>
					<!--
					Below image is missing... so commented out this slide
					<section>
						<h3>ARP</h3>
						<img src="../../assets/arp16.png" alt="arp1">
					</section>
					-->
					<section>
						<h3>ARP</h3>
						<img src="../../assets/arp17.png" alt="arp1">
					</section>
					<section>
						<h3>ARP</h3>
						<img src="../../assets/arp18.png" alt="arp1">
					</section>
					<section>
						<h3>ARP</h3>
						<img src="../../assets/arp19.png" alt="arp1">
					</section>
					<section>
						<h3>ARP</h3>
						<img src="../../assets/arp20.png" alt="arp1">
					</section>
					<section>
						<h3>ARP</h3>
						<img src="../../assets/arp21.png" alt="arp1">
					</section>
					<section>
						<h3>ARP</h3>
						<img src="../../assets/arp22.png" alt="arp1">
					</section>
					<section>
						<h3>ARP</h3>
						<img src="../../assets/arp23.png" alt="arp1">
					</section>
					<section>
						<h3>ARP</h3>
						<img src="../../assets/arp24.png" alt="arp1">
					</section>
					<section>
						<h3>ARP</h3>
						<img src="../../assets/arp25.png" alt="arp1">
					</section>
					<section>
						<h2>RARP </h2>
						<ul>
							<li>
								<b>ARP has a brother, Reverse ARP (RARP), that translates MAC addresses to IP addresses</b>
						</ul>
						<aside class="notes">
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
						</aside>
					</section>
					<section>
						<h2>RARP explained</h2>
						<img src="../../assets/rarp1.png" alt="rarp1">
						<aside class="notes">
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
						</aside>
						
					</section>
					<section>
						<h2>RARP explained</h2>
						<img src="../../assets/RARPimage.png" alt="RARPdiscovery">
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
			
				</section>
				<section>
					<section>
						<h2>Routing Protocol Types</h2>

						<ul>
							<li>Distance Vector Routing Protocols</li>
							<li>Link State Routing Protocols</li>
						</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
					<section>
						<h2>Distance Vector Routing Protocols</h2>

						<ul>
							<li>Selects the best path based on the hop count to reach a destination network</li>
							<li>Examples</li>
							<ul>
								<li>RIPv2, IGRP, EIGRP</li>
							</ul>
				
						</ul>
					<aside class="notes">
						Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
					</aside>
					</section>
					<section>
						<h2>Link State Routing Protocols</h2>

						<ul>
							<li>Concerned with speed and current state of the connection</li>
							<li>A longer path with a faster travel time will be prioritized over a path with less hops</li>
							<li>Examples</li>
							<ul>
								<li>OSPF, IS-IS</li>
							</ul>
						</ul>
						<aside class="notes">
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
						</aside>
					</section>
					<section>
						<h2>Network Address Translation</h2>
					
						<ul>
							<li>One or more local IP addresses are translated into one or more Global IP addresses</li>
           					<li>Allows multiple devices to access the Internet through a single public address</li>
						</ul>
						<aside class="notes">
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
						</aside>
					</section>
					<section>
						<h2>Port Address Translation</h2>
					
						<ul><li>Maps public IP to a port number for each device on the network</li>
							<li>Used to conserve IPv4 addresses</li>
						</ul>
						<aside class="notes">
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
						</aside>
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
						</aside>
					</section>
				 	
				</section> 
				<section> 

						<section>
							<h2>Scapy</h2>
							<li><a href="https://scapy.net/">Scapy.net</a></li>
							<aside class="notes">
								Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
							</aside>
						</section>
						<section>
							<h2>What is Scapy</h2>
							<P>Scapy is a powerful interactive packet manipulation program</P>
							<aside class="notes">
								Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
							</aside>
						</section>
						<section>
							<h3>Scapy is a Python program that enables the user to send, sniff and dissect and forge network packets</h3>
							<aside class="notes">
								Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
							</aside>
						</section>
						<section>
							<h3>Network traffic with Scapy</h3>
							<ul>
								<p>We can use Scapy in two different modes:</p>
								<li> interactively within a terminal window</li>
								<li> programmatically from a Python script by importing it as a library</li>

							<aside class="notes">
								Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
							</aside>
						</section>
						<section>
							<h3>Basic Commands</h3>
							<ul>
								<li>ls(): Displays all the protocols</li>
								<li>lsc(): Displays the list of commands</li>
								<li>conf: Displays all configurations options</li>
								<li>help(): Display help on a specific command</li>
								<li>show(): Display the details about a specific packet</li>
							</ul>
							<aside class="notes">
								Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
							</aside>
						</section>
						<section>
							<h3>more commands</h3>
							<ul>
								<li>summary(): displays a list of summaries of each packet</li>
								<li>nsummary(): same as previous, with the packet number</li>
								<li>show(): displays the preferred representation(usually nsummary()</li>
							</ul>
							<aside class="notes">
								Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
							</aside>
						</section>
						<section>
							<h3>Send Commands</h3>
							<ul>
								<li>sendp(): Layer-2 send; sends layer-2 packets</li>
								<li>send(): Layer-3 send; only sends layer-3 packets like IPv4 and Ipv6</li>
								
							</ul>
							<aside class="notes">
								Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
							</aside>
						</section>
						<section>
							<h3>Send and Receive Commands</h3>
							<ul>
								<li>sr(): Layer-3 returns both answers and unanswered packets</li>
								<li>sr1(): Layer-3 returns only answers or sent packets</li>
								<li>srp(): Layer-2 returns both answers and unanswered packets</li>
								<li>srp1(): Layer-2 returns only answers or sent packets</li>
							</ul>
							<aside class="notes">
								Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
							</aside>
						</section>
						<section>
							<h1>Scapy Demo Labs</h1>
							<aside class="notes">
								Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
							</aside>
						</section>
						<section>
							<h2>Scapy Performance Labs</h2>
							<ul>
								<li>Create a ICMP ping script</li>
								<li>Create a UDP ping script</li>
								<li>Create a TCP ping script</li>
							</ul>
							<aside class="notes">
								Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
							</aside>
						</section>

			</div>
		</div>
		<footer style="background:green; left:0; right:0; bottom: 0; position:absolute; height:30px;">
			<div style="text-align: center;">(U)Unclassified</div>
		</footer>		
			
		<script src="js/reveal.js"></script>

		<script>
			// More info about config & dependencies:
			// - https://github.com/hakimel/reveal.js#configuration
			// - https://github.com/hakimel/reveal.js#dependencies
			Reveal.initialize({
				hash: true,
				menu: {
					// Specifies which side of the presentation the menu will 
					// be shown. Use 'left' or 'right'.
					side: 'left',

					// Specifies the width of the menu.
					// Can be one of the following:
					// 'normal', 'wide', 'third', 'half', 'full', or
					// any valid css length value
					width: 'normal',

					// Add slide numbers to the titles in the slide list.
					// Use 'true' or format string (same as reveal.js slide numbers)
					numbers: true,

					// Specifies which slide elements will be used for generating
					// the slide titles in the menu. The default selects the first
					// heading element found in the slide, but you can specify any
					// valid css selector and the text from the first matching
					// element will be used.
					// Note: that a section data-menu-title attribute or an element
					// with a menu-title class will take precedence over this option
					titleSelector: 'h1, h2, h3, h4, h5, h6',

					// If slides do not have a matching title, attempt to use the
					// start of the text content as the title instead
					useTextContentForMissingTitles: false,

					// Hide slides from the menu that do not have a title.
					// Set to 'true' to only list slides with titles.
					hideMissingTitles: false,

					// Adds markers to the slide titles to indicate the 
					// progress through the presentation. Set to 'false'
					// to hide the markers.
					markers: true,

					// Specify custom panels to be included in the menu, by
					// providing an array of objects with 'title', 'icon'
					// properties, and either a 'src' or 'content' property.
					custom: false,

					// Specifies the themes that will be available in the themes
					// menu panel. Set to 'true' to show the themes menu panel
					// with the default themes list. Alternatively, provide an
					// array to specify the themes to make available in the
					// themes menu panel, for example...
					// [
					//     { name: 'Black', theme: 'css/theme/black.css' },
					//     { name: 'White', theme: 'css/theme/white.css' },
					//     { name: 'League', theme: 'css/theme/league.css' }
					// ]
					themes: true,

					// Specifies the path to the default theme files. If your
					// presentation uses a different path to the standard reveal
					// layout then you need to provide this option, but only
					// when 'themes' is set to 'true'. If you provide your own 
					// list of themes or 'themes' is set to 'false' the 
					// 'themesPath' option is ignored.
					themesPath: 'css/theme/',

					// Specifies if the transitions menu panel will be shown.
					// Set to 'true' to show the transitions menu panel with
					// the default transitions list. Alternatively, provide an
					// array to specify the transitions to make available in
					// the transitions panel, for example...
					// ['None', 'Fade', 'Slide']
					transitions: true,

					// Adds a menu button to the slides to open the menu panel.
					// Set to 'false' to hide the button.
					openButton: true,

					// If 'true' allows the slide number in the presentation to
					// open the menu panel. The reveal.js slideNumber option must 
					// be displayed for this to take effect
					openSlideNumber: true,

					// If true allows the user to open and navigate the menu using
					// the keyboard. Standard keyboard interaction with reveal
					// will be disabled while the menu is open.
					keyboard: true,

					// Normally the menu will close on user actions such as
					// selecting a menu item, or clicking the presentation area.
					// If 'true', the sticky option will leave the menu open
					// until it is explicitly closed, that is, using the close
					// button or pressing the ESC or m key (when the keyboard 
					// interaction option is enabled).
					sticky: true,

					// If 'true' standard menu items will be automatically opened
					// when navigating using the keyboard. Note: this only takes 
					// effect when both the 'keyboard' and 'sticky' options are enabled.
					autoOpen: true,

					// If 'true' the menu will not be created until it is explicitly
					// requested by calling RevealMenu.init(). Note this will delay
					// the creation of all menu panels, including custom panels, and
					// the menu button.
					delayInit: false,

					// If 'true' the menu will be shown when the menu is initialised.
					openOnInit: false,

					// By default the menu will load it's own font-awesome library
					// icons. If your presentation needs to load a different
					// font-awesome library the 'loadIcons' option can be set to false
					// and the menu will not attempt to load the font-awesome library.
					loadIcons: true
				},
				dependencies: [
					{ src: 'plugin/markdown/marked.js' },
					{ src: 'plugin/markdown/markdown.js' },
					{ src: 'plugin/highlight/highlight.js' },
					{ src: 'plugin/notes/notes.js', async: true },
					{ src: 'plugin/reveal.js-menu/menu.js' }
				]
			});
		</script>
	</body>
</html>
